/*
 *  hnv_computation_main.h
 *  HeteroNumberViewer
 *
 *  Created by Naoto Morikawa on 9/15/07.
 *  Copyright (C) 2007 Naoto Morikawa. All rights reserved.
 *
 *  2007-10-01 version 0.1 release
 */

//===============================================
// Public data
//===============================================

extern struct parameters my_param;


//===============================================
// Public methods
//===============================================

extern void set_use_extended_conj_cone(HNV_BOOLEAN value);
extern HNV_BOOLEAN get_use_extended_conj_cone(void);
extern void set_remove_redundant_peaks(HNV_BOOLEAN value);
extern HNV_BOOLEAN get_remove_redundant_peaks(void);
extern void set_print_out_tetra_flow(HNV_BOOLEAN value);
extern HNV_BOOLEAN get_print_out_tetra_flow(void);
extern void set_tetra_safe_limit(int value);
extern void set_up_parameters(void);
extern int get_param_safe_limit(struct parameters * pt_param);
extern int get_param_init_size(struct parameters * pt_param);
extern int get_param_incre_size(struct parameters * pt_param);
extern struct hnv_cone * compute_3d_case(struct hnv_cone * standard_cone);
extern void compute_tetrahedron_flow(const char * filename);
